summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-ligato-perf-hw.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2017-10-02 10:01:30 +0200
committerPeter Mikus <pmikus@cisco.com>2017-10-02 13:56:25 +0000
commit5feda0e05ad0b5846245572a83c007c1c8914023 (patch)
treea13a82f3f0305f8bee5ad48bcf3b70ff5af473ea /jjb/csit/include-raw-csit-ligato-perf-hw.sh
parent34627a3a1eff36c97d71e5d92f0f1506c4cb370a (diff)
CSIT-826 csit-ligato* jenkins job
- Introduce new Jenkins Job to test ligato/vnf-agent via CSIT - Job is suppose to test Ligato/vnf-agent perofrmance via CSIT framework - Comment trigger: verify-perf-ligato-[all|long] Change-Id: I3dee3f3324b5f1461ac40c25ad9aa4ad54b7355b Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'jjb/csit/include-raw-csit-ligato-perf-hw.sh')
-rw-r--r--jjb/csit/include-raw-csit-ligato-perf-hw.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-ligato-perf-hw.sh b/jjb/csit/include-raw-csit-ligato-perf-hw.sh
new file mode 100644
index 000000000..bd1c2f888
--- /dev/null
+++ b/jjb/csit/include-raw-csit-ligato-perf-hw.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+export TEST_TAG="PERFTEST_${TYPE^^}"
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-ligato.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf-ligato.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf-ligato.sh is executable
+chmod +x bootstrap-verify-perf-ligato.sh
+
+# get commit ID from name of stable ver
+VPP_BUILD_COMMIT="$( expr match `cat VPP_STABLE_VER_UBUNTU` '.*g\(.*\)~.*' )"
+
+# run the script
+./bootstrap-verify-perf-ligato.sh ${VPP_BUILD_COMMIT}
+
+# vim: ts=4 ts=4 sts=4 et :